curl -X POST 'https://foodsoul.pro/api/crm/v2/modifiers.toggle_publish_status?branch_id=8785' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: cs' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":1,"active":true}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.pro/api/crm/v2/modifiers.toggle_publish_status?branch_id=8785', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'cs',
'role' => 'partner',
],
'json' => [
'id' => 1,
'active' => true,
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/modifiers.toggle_publish_status?branch_id=8785", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "cs",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": 1,
"active": true
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.pro/api/crm/v2/modifiers.toggle_publish_status?branch_id=8785",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "cs",
"role": "partner",
},
json={
"id": 1,
"active": True,
},
)
data = response.json()
Odpověď 200
{
"error": {
"code": 0,
"variables": {},
"description": "string"
}
}
Žádosti jsou odesílány na foodsoul.pro — to je hostitel tohoto portálu, jiný vybrat nelze.